<?php

use \Framework\Plugin\Migration\Migration;

class Migration_2016_12_05_14_48_11 extends Migration
{
    public function up()
    {
        $directive = <<<MIGRATION
--
--  Comment Meta Language Constructs:
--
--  #IfNotTable
--    argument: table_name
--    behavior: if the table_name does not exist,  the block will be executed

--  #IfTable
--    argument: table_name
--    behavior: if the table_name does exist, the block will be executed

--  #IfMissingColumn
--    arguments: table_name colname
--    behavior:  if the colname in the table_name table does not exist,  the block will be executed

--  #IfNotColumnType
--    arguments: table_name colname value
--    behavior:  If the table table_name does not have a column colname with a data type equal to value, then the block will be executed

--  #IfNotRow
--    arguments: table_name colname value
--    behavior:  If the table table_name does not have a row where colname = value, the block will be executed.

--  #IfNotRow2D
--    arguments: table_name colname value colname2 value2
--    behavior:  If the table table_name does not have a row where colname = value AND colname2 = value2, the block will be executed.

--  #IfNotRow3D
--    arguments: table_name colname value colname2 value2 colname3 value3
--    behavior:  If the table table_name does not have a row where colname = value AND colname2 = value2 AND colname3 = value3, the block will be executed.

--  #IfNotRow4D
--    arguments: table_name colname value colname2 value2 colname3 value3 colname4 value4
--    behavior:  If the table table_name does not have a row where colname = value AND colname2 = value2 AND colname3 = value3 AND colname4 = value4, the block will be executed.

--  #IfNotRow2Dx2
--    desc:      This is a very specialized function to allow adding items to the list_options table to avoid both redundant option_id and title in each element.
--    arguments: table_name colname value colname2 value2 colname3 value3
--    behavior:  The block will be executed if both statements below are true:
--               1) The table table_name does not have a row where colname = value AND colname2 = value2.
--               2) The table table_name does not have a row where colname = value AND colname3 = value3.

--  #IfNotIndex
--    desc:      This function will allow adding of indexes/keys.
--    arguments: table_name colname
--    behavior:  If the index does not exist, it will be created

--  #EndIf
--    all blocks are terminated with and #EndIf statement.

#IfNotRow list_options option_id ACLT_Tag_Colors
    INSERT INTO `list_options` (`list_id`, `option_id`, `title`, `seq`, `is_default`, `option_value`, `mapping`, `notes`, `codes`, `toggle_setting_1`, `toggle_setting_2`, `activity`) VALUES
    ('ACLT_Tag_Colors', 'blue', 'Blue', 0, 1, 0, '', '#90caf9', '', 0, 0, 0),
    ('ACLT_Tag_Colors', 'green', 'Green', 0, 0, 0, '', '#a5d6a7', '', 0, 0, 0),
    ('ACLT_Tag_Colors', 'orange', 'Orange', 0, 0, 0, '', '#ffb74d', '', 0, 0, 0),
    ('ACLT_Tag_Colors', 'purple', 'Purple', 0, 0, 0, '', '#b39ddb', '', 0, 0, 0),
    ('ACLT_Tag_Colors', 'red', 'Red', 0, 0, 0, '', '#e57373', '', 0, 0, 0),
    ('ACLT_Tag_Colors', 'yellow', 'Yellow', 0, 0, 0, '', '#fff59d', '', 0, 0, 0),
    ('lists', 'ACLT_Tag_Colors', 'ACLT Tag Colors', 299, 1, 0, '', '', '', 0, 0, 1);
#EndIf

#IfNotRow list_options option_id ACLT_Tag_Status
    INSERT INTO `list_options` (`list_id`, `option_id`, `title`, `seq`, `is_default`, `option_value`, `mapping`, `notes`, `codes`, `toggle_setting_1`, `toggle_setting_2`, `activity`) VALUES
    ('ACLT_Tag_Status', 'active', 'Active', 0, 1, 0, '', '', '', 0, 0, 0),
    ('ACLT_Tag_Status', 'deleted', 'Deleted', 0, 0, 0, '', '', '', 0, 0, 0),
    ('ACLT_Tag_Status', 'suspended', 'Suspended', 0, 0, 0, '', '', '', 0, 0, 0),
    ('lists', 'ACLT_Tag_Status', 'ACLT Tag Status', 298, 1, 0, '', '', '', 0, 0, 1);
#EndIf


MIGRATION;

        return $directive;
    }

    public function down()
    {
        $directive = <<<MIGRATION
--
--  Comment Meta Language Constructs:
--
--  #IfNotTable
--    argument: table_name
--    behavior: if the table_name does not exist,  the block will be executed

--  #IfTable
--    argument: table_name
--    behavior: if the table_name does exist, the block will be executed

--  #IfMissingColumn
--    arguments: table_name colname
--    behavior:  if the colname in the table_name table does not exist,  the block will be executed

--  #IfNotColumnType
--    arguments: table_name colname value
--    behavior:  If the table table_name does not have a column colname with a data type equal to value, then the block will be executed

--  #IfNotRow
--    arguments: table_name colname value
--    behavior:  If the table table_name does not have a row where colname = value, the block will be executed.

--  #IfNotRow2D
--    arguments: table_name colname value colname2 value2
--    behavior:  If the table table_name does not have a row where colname = value AND colname2 = value2, the block will be executed.

--  #IfNotRow3D
--    arguments: table_name colname value colname2 value2 colname3 value3
--    behavior:  If the table table_name does not have a row where colname = value AND colname2 = value2 AND colname3 = value3, the block will be executed.

--  #IfNotRow4D
--    arguments: table_name colname value colname2 value2 colname3 value3 colname4 value4
--    behavior:  If the table table_name does not have a row where colname = value AND colname2 = value2 AND colname3 = value3 AND colname4 = value4, the block will be executed.

--  #IfNotRow2Dx2
--    desc:      This is a very specialized function to allow adding items to the list_options table to avoid both redundant option_id and title in each element.
--    arguments: table_name colname value colname2 value2 colname3 value3
--    behavior:  The block will be executed if both statements below are true:
--               1) The table table_name does not have a row where colname = value AND colname2 = value2.
--               2) The table table_name does not have a row where colname = value AND colname3 = value3.

--  #IfNotIndex
--    desc:      This function will allow adding of indexes/keys.
--    arguments: table_name colname
--    behavior:  If the index does not exist, it will be created

--  #EndIf
--    all blocks are terminated with and #EndIf statement.


#EndIf
MIGRATION;

        return $directive;
    }
}
